This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 120445 - Assertion `proc_handle.pid == 0' failed
Assertion `proc_handle.pid == 0' failed
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
rawhide
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Alexandre Oliva
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-08 16:16 EDT by Neal Becker
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 16:23:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2004-04-08 16:16:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, like Gecko)

Description of problem:
(gdb) attach 11872
Attaching to program: /usr/bin/python, process 11872
Error while mapping shared library sections:
./STL.so: No such file or directory.
Reading symbols from /lib/tls/libpthread.so.0...(no debugging symbols found)...done.
[Thread debugging using libthread_db enabled]
[New Thread -150159232 (LWP 11872)]
Loaded symbols for /lib/tls/libpthread.so.0
Reading symbols from /lib/libdl.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /lib/libutil.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libutil.so.1
Reading symbols from /lib/tls/libm.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/tls/libm.so.6
Reading symbols from /lib/tls/libc.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/tls/libc.so.6
Reading symbols from /lib/ld-linux.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/ld-linux.so.2
Reading symbols from /usr/lib/python2.3/lib-dynload/readline.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/python2.3/lib-dynload/readline.so
Reading symbols from /usr/lib/libreadline.so.4...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libreadline.so.4
Reading symbols from /lib/libtermcap.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/libtermcap.so.2
Error while reading shared library symbols:
./STL.so: No such file or directory.
Reading symbols from /usr/local/src/boost_1_31_0/stage/lib/libboost_python-gcc-1_31.so.1.31.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/src/boost_1_31_0/stage/lib/libboost_python-gcc-1_31.so.1.31.0
Reading symbols from /usr/lib/libstdc++.so.5...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libstdc++.so.5
Reading symbols from /lib/libgcc_s.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libgcc_s.so.1
0x008657a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
(gdb) cd ~/shannon/Test2
Working directory /home/nbecker/shannon/Test2.
(gdb) sym STL.so
Reading symbols from STL.so...done.
/usr/src/build/358354-i386/BUILD/gdb+dejagnu-20031117/gdb/thread-db.c:643: internal-error: thread_db_new_objfile: Assertion `proc_handle.pid == 0' failed.
A problem internal to GDB has been detected,
further debugging may prove unreliable.
Quit this debugging session? (y or n) y

/usr/src/build/358354-i386/BUILD/gdb+dejagnu-20031117/gdb/thread-db.c:643: internal-error: thread_db_new_objfile: Assertion `proc_handle.pid == 0' failed.
A problem internal to GDB has been detected,
further debugging may prove unreliable.
Create a core file of GDB? (y or n) n

Version-Release number of selected component (if applicable):
GNU gdb Red Hat Linux (6.0post-1.20031117.8rh)

How reproducible:
Didn't try

Steps to Reproduce:
1.gdb
2.
3.
    

Additional info:
Comment 1 Jan Kratochvil 2006-09-26 11:59:38 EDT
Did not try to reproduce it as the failed assertion even is no longer present in
the current gdb-6.5.  Threads support has also been improved a lot since that time.
Sorry for not handling this bug earlier.
Please CLOSE the bug if you have no longer problems with this issue.
Comment 2 John Thacker 2006-10-29 16:23:56 EST
Closing per lack of response to previous request for information.  Note that FC3
and FC4 are only supported by Fedora Legacy for security fixes.  If this is a
security issue, please assign to Fedora Legacy.  Otherwise, please retest with
FC5 or FC6, and if it still occurs, please reopen and assign to the correct
version.  Many changes have occurred since this bug was first filed and it may
be fixed in a more recent version.  We apologize for not fixing this bug
earlier.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.